import { UmbUserServerDataSource } from './user-detail.server.data-source.js';
import { UMB_USER_DETAIL_STORE_CONTEXT } from './user-detail.store.token.js';
import { UmbDetailRepositoryBase } from '../../../../core/repository/index.js';
export class UmbUserDetailRepository extends UmbDetailRepositoryBase {
    constructor(host) {
        super(host, UmbUserServerDataSource, UMB_USER_DETAIL_STORE_CONTEXT);
    }
    /**
     * Creates a new User detail
     * @param {UmbUserDetailModel} model
     * @returns {*}
     * @memberof UmbUserDetailRepository
     */
    async create(model) {
        return super.create(model, null);
    }
    /**
     * Requests the detail for the given unique
     * @param unique
     * @returns {*}
     * @memberof UmbUserDetailRepository
     */
    requestCalculateStartNodes(unique) {
        return this.detailDataSource.calculateStartNodes(unique);
    }
}
export default UmbUserDetailRepository;
